.\"	$NetBSD: swapon.3,v 1.14 2003/08/07 16:44:10 agc Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)swapon.2	8.1 (Berkeley) 6/4/93
.\"
.Dd June 4, 1993
.Dt SWAPON 3
.Os
.Sh NAME
.Nm swapon
.Nd add a swap device for interleaved paging/swapping
.Sh SYNOPSIS
.In unistd.h
.Ft int
.Fn swapon "const char *special"
.Sh DESCRIPTION
.Bf -symbolic
.\" This interface is available from the compatibility library, libcompat and
This interface is provided for compatibility only and
has been obsoleted by
.Xr swapctl 2 .
.Ef
.Pp
.Fn swapon
makes the block device
.Fa special
available to the system for
allocation for paging and swapping.
The names of potentially available devices are known to the system
and defined at system configuration time.
The size of the swap area on
.Fa special
is calculated at the time the device is first made available
for swapping.
.Sh RETURN VALUES
If an error has occurred, a value of \-1 is returned and
.Va errno
is set to indicate the error.
.Sh ERRORS
.Fn swapon
succeeds unless:
.Bl -tag -width ENAMETOOLONG
.It Bq Er ENOTDIR
A component of the path prefix is not a directory.
.It Bq Er ENAMETOOLONG
A component of a pathname exceeded
.Dv {NAME_MAX}
characters, or an entire path name exceeded
.Dv {PATH_MAX}
characters.
.It Bq Er ENOENT
The named device does not exist.
.It Bq Er EACCES
Search permission is denied for a component of the path prefix.
.It Bq Er ELOOP
Too many symbolic links were encountered in translating the pathname.
.It Bq Er EPERM
The caller is not the super-user.
.It Bq Er ENOTBLK
.Fa special
is not a block device.
.It Bq Er EBUSY
The device specified by
.Fa special
has already
been made available for swapping
.It Bq Er EINVAL
The device configured by
.Fa special
was not
configured into the system as a swap device.
.It Bq Er ENXIO
The major device number of
.Fa special
is out of range (this indicates no device driver exists
for the associated hardware).
.It Bq Er EIO
An I/O error occurred while opening the swap device.
.It Bq Er EFAULT
.Fa special
points outside the process's allocated address space.
.El
.Sh SEE ALSO
.Xr swapctl 2 ,
.Xr swapctl 8 ,
.Xr swapon 8
.Sh HISTORY
The
.Fn swapon
function call appeared in
.Bx 4.0
and was removed
.Nx 1.3
.Sh BUGS
This call will be upgraded in future versions of the system.
